Bug 23528 - Show 'log in to add tags' link on all search result entries
Summary: Show 'log in to add tags' link on all search result entries
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23210
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-01 20:18 UTC by Katrin Fischer
Modified: 2019-10-15 13:16 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23528: Show 'log in to add tags' link on all search result entries (2.16 KB, patch)
2019-10-11 14:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23528: Show 'log in to add tags' link on all search result entries (2.22 KB, patch)
2019-10-14 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-09-01 20:18:27 UTC
Splitting this out as a separate bug report from bug 23210:

(In reply to Lucas Gass from comment #0)
> If a non-authenticated user goes to the search results page they will only
> see the login4tags (Log in to add tags ) text included with the first
> result. This should be included with every result.
Comment 1 Owen Leonard 2019-10-11 14:57:54 UTC
Created attachment 94019 [details] [review]
Bug 23528: Show 'log in to add tags' link on all search result entries

This patch modifies the OPAC search result template so that each result
shows the "Log in to add tags" link instead of just the first.

To test, apply the patch and make sure TagsEnabled and TagsInputOnList
are both enabled.

Perform a search in the OPAC while not logged in. In the list of
results, the "Log in to add tags" link should appear with every result.

Log in to the OPAC and confirm that the "Add tag" link appears as
expected.
Comment 2 Katrin Fischer 2019-10-14 21:24:14 UTC
Created attachment 94106 [details] [review]
Bug 23528: Show 'log in to add tags' link on all search result entries

This patch modifies the OPAC search result template so that each result
shows the "Log in to add tags" link instead of just the first.

To test, apply the patch and make sure TagsEnabled and TagsInputOnList
are both enabled.

Perform a search in the OPAC while not logged in. In the list of
results, the "Log in to add tags" link should appear with every result.

Log in to the OPAC and confirm that the "Add tag" link appears as
expected.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2019-10-15 13:16:39 UTC
Nice work!

Pushed to master for 19.11.00